﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            radChart.ItemsSource = new int[] { 1, 2, 3 };
        }

        private void radChart_GotFocus(object sender, RoutedEventArgs e)
        {
            (sender as Control).IsTabStop = false;

            int chartIndex = LayoutRoot.Children.IndexOf(this.radChart);
            Control nextChild = LayoutRoot.Children.Skip(chartIndex + 1).FirstOrDefault(c => c is Control) as Control;
            if (nextChild != null)
            {
                nextChild.Focus();
            }
        }
    }
}
